The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Firewall Policies in a Domain

Prev Next

This URL gets the list of firewall policies defined in a particular domain.

Resource URL

GET /domain/<domain_id>/ firewallpolicy

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

FirewallPoliciesForDomainResponseList

List of firewall policies defined in the domain

Array

Details of FirewallPoliciesForDomainResponseList:

Field Name

Description

Data Type

policyName

Name of the firewall policy

String

VisibleToChild

Is policy visible to child domains

Boolean

Description

Policy description

String

IsEditable

Is policy editable or not

Number

lastModUser

Last user that modified the policy

String

PolicyType

Policy type, can be "ADVANCED" or "CLASSIC"

String

policyId

Firewall policy unique id

Number

domainId

Domain id

Number

policyVersion

Policy version

Number

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/firewallpolicy

Response

{
        "FirewallPoliciesForDomainResponseList": [{
                "policyId": 107,
                "policyName": "Port_FirewallPolicy",
                "domainId": 0,
                "visibleToChild": false,
                "description": "Firewall Policy for Port",
                "isEditable": true,
                "policyType": "CLASSIC",
                "policyVersion": 1,
                "lastModUser": "admin"
        },
        {
                "policyId": 105,
                "policyName": "Interface_FirewallPolicy",
                "domainId": 0,
                "visibleToChild": true,
                "description": "Firewall Policy for Interface",
                "isEditable": true,
                "policyType": "ADVANCED",
                "policyVersion": 1,
                "lastModUser": "admin"
        },
        {
                "policyId": 103,
                "policyName": "Sensor_Post_FirewallPolicy",
                "domainId": 0,
                "visibleToChild": false,
                "description": "Firewall Policy for Sensor Post",
                "isEditable": true,
                "policyType": "CLASSIC",
                "policyVersion": 1,
                "lastModUser": "admin"
        },
        {
                "policyId": 101,
                "policyName": "Sensor_Pre_FirewallPolicy",
                "domainId": 0,
                "visibleToChild": true,
                "description": "Firewall Policy for Sensor Pre",
                "isEditable": true,
                "policyType": "ADVANCED",
                "policyVersion": 1,
                "lastModUser": "admin"
        }]
}

Error Information

Following error code is returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain